jQuery(document).ready(function() {
			jQuery(".import_button a").on("click",function(event) {
				event.preventDefault();
				var $demoId = jQuery(this).attr("data-demoID");
				
				    var form_data = new FormData();
					form_data.append( 'action', 'ocdi_import_demo_data' );
					form_data.append( 'security', ocdi.ajax_nonce );
					jQuery(this).prop('disabled', true).text('Importing...');
					jQuery(this).addClass("loader");
					jQuery(this).next('img').css( "display", "block" );
					jQuery('.import_button a').attr("disabled", "disabled").off('click');
					jQuery(this).removeAttr("disabled");
					var selected = $demoId;
					
					if ( selected ) {
						form_data.append( 'selected', selected );
					}
				jQuery.ajax({
				url: ocdi.ajax_url,
				type: 'POST',
				data: {
					action: 'my_ajax_action',
					demoID: $demoId,
					// Any other data to send
				},
				success: function(response) {
					// Handle the response from the server
				   if(response == 'true'){
						ajaxCall(form_data,$demoId);
				   }
				}
			});
		});
	
	/**
	 * The main AJAX call, which executes the import process.
	 *
	 * @param FormData data The data to be passed to the AJAX call.
	 */
	function ajaxCall(data,$demoId) {
		
		jQuery.ajax({
			method:      'POST',
			url:         ocdi.ajax_url,
			data:data,
			contentType: false,
			processData: false,
			beforeSend:  function() {
				//$( '.js-ocdi-install-plugins-content' ).hide();
				//$( '.'+demoName+' .js-ocdi-importing' ).show();
				//$( '.'+demoName+' .js-ocdi-imported' ).hide();
			}
			
		})
		.done( function( response ) {
			
			if ( 'undefined' !== typeof response.status && 'newAJAX' === response.status ) {
				ajaxCall( data,$demoId);
			}
			else if ( 'undefined' !== typeof response.status && 'customizerAJAX' === response.status ) {
				// Fix for data.set and data.delete, which they are not supported in some browsers.
				var newData = new FormData();
				newData.append( 'action', 'ocdi_import_customizer_data' );
				newData.append( 'security', ocdi.ajax_nonce );

				// Set the wp_customize=on only if the plugin filter is set to true.
				if ( true === ocdi.wp_customize_on ) {
					newData.append( 'wp_customize', 'on' );
				}

				ajaxCall( newData,$demoId );
			}
			else if ( 'undefined' !== typeof response.status && 'afterAllImportAJAX' === response.status ) {
				// Fix for data.set and data.delete, which they are not supported in some browsers.
				var newData = new FormData();
				newData.append( 'action', 'ocdi_after_import_data' );
				newData.append( 'security', ocdi.ajax_nonce );
				ajaxCall( newData,$demoId );
			}
			else if ( 'undefined' !== typeof response.message ) {
				
			jQuery( '.js-ocdi-ajax-response' ).append( response.message );
			
					if ( 'undefined' !== typeof response.title ) {
						jQuery( '.js-ocdi-ajax-response-title' ).html( response.title );
					}
				jQuery('#data-demoid-'+$demoId).prop('disabled', false).text('Import');
				jQuery('#data-demoid-'+$demoId).removeClass("loader");
				jQuery('#data-demoid-'+$demoId).next('img').css( "display", "none" );
			}
			else {
				jQuery( '.js-ocdi-ajax-response' ).append( '<img class="ocdi-imported-content-imported ocdi-imported-content-imported--error" src="' + ocdi.texts.plugin_url + '/one-click-import/assets/images/error.svg" alt="' + ocdi.texts.import_failed + '"><p>' + response + '</p>' );
				jQuery( '.js-ocdi-ajax-response-title' ).html( ocdi.texts.import_failed );
			}
		})
		.fail( function( error ) {
			jQuery( '.js-ocdi-ajax-response' ).append( '<img class="ocdi-imported-content-imported ocdi-imported-content-imported--error" src="' + ocdi.texts.plugin_url + '/one-click-import/assets/images/error.svg" alt="' + ocdi.texts.import_failed + '"><p>Error: ' + error.statusText + ' (' + error.status + ')' + '</p>' );
			jQuery( '.js-ocdi-ajax-response-title' ).html( ocdi.texts.import_failed );
		});
	}

});