<?php
    // Your server-side logic here
function prague_ocdi_import_files(){
	
    return array(
        array(
            'import_file_name'             => 'Prague Demo Import',
            'categories'                   => array('Category 1'),
            'local_import_file'            => trailingslashit(get_template_directory()) . 'one-click-import/demos/demo-ele/demo-data.xml',
            'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'one-click-import/demos/demo-ele/widgets.wie',
            'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'one-click-import/demos/demo-ele/customizer.dat',
            'import_preview_image_url'     => PRAGUE_URI . '/one-click-import/demos/demo-ele/preview_image.png',
            'import_notice'                => esc_html__('After you import this demo, you will have to setup the slider separately.', 'prague'),
            'preview_url'                => 'https://prague.foxthemes.me/',
        ),
		array(
            'import_file_name'             => 'Prague Demo Import-2',
            'categories'                   => array('Category 1'),
            'local_import_file'            => trailingslashit(get_template_directory()) . 'one-click-import/demos/demo-wp-bakery/demo-data.xml',
            'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'one-click-import/demos/demo-wp-bakery/widgets.wie',
            'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'one-click-import/demos/demo-wp-bakery/customizer.dat',
            'import_preview_image_url'     => PRAGUE_URI . '/one-click-import/demos/demo-wp-bakery/preview_image.png',
            'import_notice'                => esc_html__('After you import this demo, you will have to setup the slider separately.', 'prague'),
            'preview_url'                => 'https://prague.foxthemes.me/',
        ),
    );
}
/*prague custom scripts*/
function enqueue_prague_custom_scripts() {

	wp_enqueue_script('jquery');
    
    wp_enqueue_script('custom-importer', get_template_directory_uri() . '/one-click-import/assets/js/custom-importer.js', array('jquery'), '1.0', true);

    wp_localize_script('custom-importer', 'ocdi', array(
        'ajax_url' => admin_url('admin-ajax.php'),
		'ajax_nonce' => wp_create_nonce('ocdi-ajax-verification'),
		'texts'            => array(
			'import_failed'            => esc_html__( 'Import Failed', 'prague' ),			
			'plugin_url'            => esc_html__( get_template_directory_uri(), 'prague' ),			
		),
    ));
}
add_action('admin_enqueue_scripts', 'enqueue_prague_custom_scripts');

function prague_ocdi_after_import_setup()
{
    // Assign menus to their locations.
    $main_menu = get_term_by('name', 'Top Menu', 'nav_menu');

    $footer_menu = get_term_by('name', 'Footer menu', 'nav_menu');

    set_theme_mod(
        'nav_menu_locations',
        array(
            'top-menu' => $main_menu->term_id,

            'footer-menu' => $footer_menu->term_id,
        )
    );


    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title('Main Home');
    $blog_page_id  = get_page_by_title('Blog');

    update_option('show_on_front', 'page');
    update_option('page_on_front', $front_page_id->ID);
    update_option('page_for_posts', $blog_page_id->ID);

    flush_rewrite_rules();
}

add_action('ocdi/after_import', 'prague_ocdi_after_import_setup');
add_filter('ocdi/disable_pt_branding', '__return_true');
add_filter('ocdi/import_files', 'prague_ocdi_import_files');


function my_ajax_action() {
	$import_demoID = $_POST['demoID'];	
	$import_files = apply_filters( 'ocdi/import_files', $import_demoID);
	if(!empty($import_files)){
		echo 'true';
	}
	
	wp_die(); // Always include this to end the AJAX request
}
add_action('wp_ajax_my_ajax_action', 'my_ajax_action'); // For logged-in users
add_action('wp_ajax_nopriv_my_ajax_action', 'my_ajax_action'); 

